#ifndef SIMANMETHOD_H
#define SIMANMETHOD_H
# include <problem.h>
class SimanMethod
{
private:
    double T0;
    Data xpoint;
    double ypoint;
    Data xbest;
    double ybest;
    int neps;
    double eps;
    Problem *myProblem;
    string tempMethod="exp";//exp, log, linear, quad
public:
    SimanMethod(Problem *p);
    void    setT0(double t);
    double  getT0() const;
    void    setNeps(int n);
    int     getNeps() const;
    void    setEpsilon(double e);
    double  getEpsilon() const;
    void    reduceTemp(int k);
    void    Solve();
    Data    getX();
    double  getY();
    void    setTempMethod(string s);
    string  getTempMethod() const;
    ~SimanMethod();
};
#endif // SIMANMETHOD_H
